CMTPATH=/virgoApp:/virgoStaging
CMT_tag=$(tag)
CMTROOT=/virgoApp/CMT/v1r24
CMT_root=/virgoApp/CMT/v1r24
CMTVERSION=v1r24
CMT_cmtpath=/virgoApp
CMT_project=virgoApp
cmt_hardware_query_command=uname -m
cmt_hardware=`$(cmt_hardware_query_command)`
cmt_system_version_query_command=${CMTROOT}/mgr/cmt_linux_version.sh | ${CMTROOT}/mgr/cmt_filter_version.sh
cmt_system_version=`$(cmt_system_version_query_command)`
cmt_compiler_version_query_command=${CMTROOT}/mgr/cmt_gcc_version.sh | ${CMTROOT}/mgr/cmt_filter3_version.sh
cmt_compiler_version=`$(cmt_compiler_version_query_command)`
PATH=/virgoApp/CMT/v1r24/${CMTBIN}:/virgoApp/root/v5r34p050/Linux-x86_64-SL6/bin:/virgoApp/root/v5r26p0/Linux-x86_64-SL6/bin:/virgoApp/root/v5r34p050//bin:/usr/lib64/qt-3.3/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/bin:/usr/externals/bin:/usr/sbin:/opt/mpi/bin:/opt/local/bin:/usr/local/bin:/bin:/usr/lib/jvm/java-1.6.0-openjdk.x86_64/bin:/usr/local/bin/alpha-dec-osf3.2:/usr/local/teTex/bin:/usr/local/maple/bin:/virgoa1_1/bin:/usr/opt/MME242/bin/mme:/opt/Freeware/bin:/opt/Freeware/bin/x11:/sbin:/usr/local/sbin:/big_data/virgo/users/verkindt/bin:/big_data/virgo/users/verkindt/bin/jpg2eps:/big_data/virgo/users/verkindt/scripts:/big_data/virgo/users/verkindt/Frutil
CLASSPATH=/virgoApp/CMT/v1r24/java
debug_option=-g
cc=cc 
cflags= -g -fPIC -USE_BSD -D_XOPEN_SOURCE -D__USE_XOPEN_EXTENDED  -std=c99 
ccomp=$(cc) -c $(includes) $(cdebugflags) $(cflags) $(pp_cflags)
clink=$(cc) $(clinkflags) $(cdebugflags)
ppcmd=-I
preproc=c++ -MD -c 
cpp=g++ 
cppflags= -g -fPIC 
pp_cppflags=-D_GNU_SOURCE
cppcomp=$(cpp) -c $(includes) $(cppdebugflags) $(cppflags) $(pp_cppflags)
cpplink=$(cpp) $(cpplinkflags) $(cppdebugflags)
for=f95 
fflags=-fPIC 
fcomp=$(for) -c $(fincludes) $(fflags) $(pp_fflags)
flink=$(for) $(flinkflags)
javacomp=javac -classpath $(src):$(CLASSPATH) 
javacopy=cp
jar=jar
X11_cflags=-I/usr/include
Xm_cflags=-I/usr/include
X_linkopts=-L/usr/lib64  -lXt -lXext -lX11 -lm 
lex=lex $(lexflags)
yaccflags= -l -d 
yacc=yacc $(yaccflags)
ar=ar cr
ranlib=ranlib
make_shlib=${CMTROOT}/mgr/cmt_make_shlib_common.sh extract
shlibsuffix=so
shlibbuilder=g++ $(cmt_installarea_linkopts) 
shlibflags=-shared
symlink=/bin/ln -fs 
symunlink=/bin/rm -f 
library_install_command=${symlink}
build_library_links=$(cmtexe) build library_links -tag=$(tags)
remove_library_links=$(cmtexe) remove library_links -tag=$(tags)
cmtexe=${CMTROOT}/${CMTBIN}/cmt.exe
build_prototype=$(cmtexe) build prototype
build_dependencies=$(cmtexe) -tag=$(tags) build dependencies
build_triggers=$(cmtexe) build triggers
format_dependencies=${CMTROOT}/mgr/cmt_format_deps.sh
implied_library_prefix=-l
SHELL=/bin/sh
q="
src=../src/
doc=../doc/
inc=../src/
mgr=../cmt/
application_suffix=.exe
library_prefix=lib
unlock_command=rm -rf 
lock_name=cmt
lock_suffix=.lock
lock_file=${lock_name}${lock_suffix}
svn_checkout_command=python ${CMTROOT}/mgr/cmt_svn_checkout.py 
gmake_hosts=lx1 rsplus lxtest as7 dxplus ax7 hp2 aleph hp1 hpplus papou1-fe atlas
make_hosts=virgo-control1 rio0a vmpc38a
everywhere=hosts
install_command=cp 
uninstall_command=/bin/rm -f 
cmt_installarea_command=ln -fs 
cmt_uninstallarea_command=/bin/rm -f 
cmt_install_area_command=$(cmt_installarea_command)
cmt_uninstall_area_command=$(cmt_uninstallarea_command)
cmt_install_action=$(CMTROOT)/mgr/cmt_install_action.sh
cmt_installdir_action=$(CMTROOT)/mgr/cmt_installdir_action.sh
cmt_uninstall_action=$(CMTROOT)/mgr/cmt_uninstall_action.sh
cmt_uninstalldir_action=$(CMTROOT)/mgr/cmt_uninstalldir_action.sh
mkdir=mkdir
cmt_cvs_protocol_level=v1r1
cmt_installarea_prefix=InstallArea
CMT_PATH_remove_regexp=/[^/]*/
CMT_PATH_remove_share_regexp=/share/
NEWCMTCONFIG=x86_64-sl65-gcc447
Dy_tag=$(tag)
DYROOT=/virgoApp/Dy/v9r12p19
Dy_root=/virgoApp/Dy/v9r12p19
DYVERSION=v9r12p19
Dy_cmtpath=/virgoApp
Dy_project=virgoApp
Cm_tag=$(tag)
CMROOT=/virgoApp/Cm/v8r9
Cm_root=/virgoApp/Cm/v8r9
CMVERSION=v8r9
Cm_cmtpath=/virgoApp
Cm_project=virgoApp
CSet_tag=$(tag)
CSETROOT=/virgoApp/CSet/v2r14
CSet_root=/virgoApp/CSet/v2r14
CSETVERSION=v2r14
CSet_cmtpath=/virgoApp
CSet_project=virgoApp
VirgoPolicy_tag=$(tag)
VIRGOPOLICYROOT=/virgoApp/VirgoPolicy/v2r6
VirgoPolicy_root=/virgoApp/VirgoPolicy/v2r6
VIRGOPOLICYVERSION=v2r6
VirgoPolicy_cmtpath=/virgoApp
VirgoPolicy_project=virgoApp
MAKEFLAGS=QUICK=1
vmake=/virgoApp/VirgoPolicy/v2r6/mgr/virgoMake
CSet_linkopts=-L$(CSETROOT)/$(CSet_tag) -lCSet -lReg -Wl,-rpath,$(CSETROOT)/$(CSet_tag)
lexyacc_src=RegLex.c RegParse.c
TAnchor_dependencies=CSet CCSet Reg
TArray_dependencies=CSet CCSet Reg
texp_dependencies=CSet CCSet Reg
CMMGR=${VIRGODATA}/Cm/mgr
cm=/virgoApp/Cm/v8r9/Linux-x86_64-SL6/cm.exe
cmask=echo 'This command is obsolete please use cm instead cmask'
cmsend=echo 'This command is obsolete please use cm instead cmsend'
cmdomain=source /virgoApp/Cm/v8r9/mgr/CmConfig.csh
NameServer_cflags= -DCMVERSION="tostring(${CMVERSION})" 
Cm_linkopts=-L$(CMROOT)/$(Cm_tag) -lCm -lm -Wl,-rpath,$(CMROOT)/$(Cm_tag)
cm_dependencies=Cm
NameServer_dependencies=Cm
Fr_tag=$(tag)
FRROOT=/virgoApp/Fr/v8r22
Fr_root=/virgoApp/Fr/v8r22
FRVERSION=v8r22
Fr_cmtpath=/virgoApp
Fr_project=virgoApp
root_tag=$(tag)
ROOTROOT=/virgoApp/root/v5r34p050
root_root=/virgoApp/root/v5r34p050
ROOTVERSION=v5r34p050
root_cmtpath=/virgoApp
root_project=virgoApp
PackageBuild_tag=$(tag)
PACKAGEBUILDROOT=/virgoApp/PackageBuild/v0r7
PackageBuild_root=/virgoApp/PackageBuild/v0r7
PACKAGEBUILDVERSION=v0r7
PackageBuild_cmtpath=/virgoApp
PackageBuild_project=virgoApp
pkgconfig_bin=${PACKAGEBUILDROOT}/${PackageBuild_tag}/bin/pkg-config
pkgconfig_path=${FFTWLIBPATH}/pkgconfig/:${PACKAGEBUILDROOT}/${PackageBuild_tag}/lib/pkgconfig:/usr/lib/pkgconfig:/usr/lib64/pkgconfig:/usr/share/pkgconfig/
FFTW_tag=$(tag)
FFTWROOT=/virgoApp/FFTW/v3r3p30
FFTW_root=/virgoApp/FFTW/v3r3p30
FFTWVERSION=v3r3p30
FFTW_cmtpath=/virgoApp
FFTW_project=virgoApp
FFTWLIBPATH=/virgoApp/FFTW/v3r3p30/Linux-x86_64-SL6/lib
FFTWBINPATH=/virgoApp/FFTW/v3r3p30/Linux-x86_64-SL6/bin
FFTWINCPATH=/virgoApp/FFTW/v3r3p30/Linux-x86_64-SL6/include
FFTW_cflags= $(shell PKG_CONFIG_PATH=${pkgconfig_path} ${pkgconfig_bin} --cflags fftw3 --cflags fftw3f) 
FFTW_linkopts= $(shell PKG_CONFIG_PATH=${pkgconfig_path} ${pkgconfig_bin} --libs fftw3 --libs fftw3f)  -Wl,-rpath,${FFTWLIBPATH} 
ROOTSYS=/virgoApp/root/v5r34p050/${ROOTCONFIG}
root_dependencies= get_root_sources 
ROOTLIBPATH=$(ROOTSYS)/lib
ROOTBINPATH=$(ROOTSYS)/bin
ROOTINCPATH=$(ROOTSYS)/include
root_linkopts=-L${ROOTLIBPATH} -lCore -lCint -lRIO -lNet -lHist       -lGraf -lGraf3d -lGpad -lTree -lRint -lPostscript -lMatrix       -lPhysics -lMathCore -lThread -pthread -lm -ldl -rdynamic -Wl,-rpath,$(ROOTLIBPATH) 
root=/virgoApp/root/v5r34p050/Linux-x86_64-SL6/bin/root
Fr_linkopts=-L$(FRROOT)/$(Fr_tag) -lFrame -Wl,-rpath,$(FRROOT)/$(Fr_tag)
rootcint_flags= -p -g -D__cplusplus -fPIC
document_rootcint_pat=document_rootcint
FrDump_dependencies=Frame
FrCopy_dependencies=Frame
FrCheck_dependencies=Frame
Xform_tag=$(tag)
XFORMROOT=/virgoApp/Xform/v0r9999p2
Xform_root=/virgoApp/Xform/v0r9999p2
XFORMVERSION=v0r9999p2
Xform_cmtpath=/virgoApp
Xform_project=virgoApp
Xform_linkopts=-L${XFORMROOT}/${Xform_tag} -lforms -ljpeg -lGL -L /usr/X11R6/lib -lX11 -lm
fdesign=/virgoApp/Xform/v0r9999p2/Linux-x86_64-SL6/fdesign.exe
constituents=dyincpath VViewerSelectorDict UserFctDict VDyPlotDict VDyPlot2Dict URZoomSeveralDict Wrapper_checkDict Dy dataDisplay
lib_DataDisplay_cppflags=-DUSE_VEGA -DNOCM
lib_DataDisplay_cflags=-DUSE_VEGA -DNOCM
DataDisplaylinkopts= 
Dy_linkopts=-L$(DYROOT)/$(Dy_tag) -lDy -L$(ROOTLIBPATH) -lCore -lCint -lRIO -lNet -lHist -lGraf -lGraf3d -lGpad -lTree -lRint -lPostscript -lMatrix -lMathCore -lThread -Wl,-rpath,$(DYROOT)/$(Dy_tag) 
URZoomSeveralDict_rootcint_flags=-D__CINT__ 
otherSources= -s=../src jmThread.c
tag=Linux-x86_64-SL6
package=Dy
version=v9r12p19
PACKAGE_ROOT=$(DYROOT)
srcdir=../src
bin=../$(Dy_tag)/
javabin=../classes/
mgrdir=cmt
BIN=/virgoApp/Dy/v9r12p19/Linux-x86_64-SL6/
project=virgoApp
cmt_installarea_paths= $(cmt_installarea_prefix)/$(CMTCONFIG)/bin
use_linkopts= $(cmt_installarea_linkopts)   $(Dy_linkopts)  $(Cm_linkopts)  $(CSet_linkopts)  $(Fr_linkopts)  $(Xform_linkopts)  $(VirgoPolicy_linkopts)  $(root_linkopts)  $(FFTW_linkopts)  $(PackageBuild_linkopts) 
virgoStaging_installarea_prefix=$(cmt_installarea_prefix)
virgoStaging_installarea_prefix_remove=$(virgoStaging_installarea_prefix)
LD_LIBRARY_PATH=/virgo/virgoApp/vega/v0r103/Linux-x86_64-SL6:/virgo/ext/fftw/fftw-3.0.1/Linux-x86_64-SL6/lib:/virgoApp/Frv/v4r15p2/Linux-x86_64-SL6:/virgoApp/vega/v0r103/Linux-x86_64-SL6:/virgoApp/FFTW/v3r3p30/Linux-x86_64-SL6/lib:/virgoApp/Frv/v4r22p1/Linux-x86_64-SL6:/usr/lib64/classads:/usr/lib64:/usr/lib
virgoApp_installarea_prefix=$(cmt_installarea_prefix)
virgoApp_installarea_prefix_remove=$(virgoApp_installarea_prefix)
use_requirements=requirements $(CMT_root)/mgr/requirements $(Cm_root)/cmt/requirements $(CSet_root)/cmt/requirements $(Fr_root)/cmt/requirements $(Xform_root)/cmt/requirements $(VirgoPolicy_root)/cmt/requirements $(root_root)/cmt/requirements $(FFTW_root)/cmt/requirements $(PackageBuild_root)/cmt/requirements 
use_includes= $(ppcmd)"$(Cm_root)/src" $(ppcmd)"$(CSet_root)/src" $(ppcmd)"$(Fr_root)/src" $(ppcmd)"/virgoApp/Fr/v8r22/src/zlib" $(ppcmd)"$(Xform_root)/src" $(ppcmd)"$(VirgoPolicy_root)/src" $(ppcmd)"$(ROOTINCPATH)" $(ppcmd)"$(FFTWINCPATH)" $(ppcmd)"$(PackageBuild_root)/src" 
use_fincludes= $(use_includes)
use_stamps=  $(Dy_stamps)  $(Cm_stamps)  $(CSet_stamps)  $(Fr_stamps)  $(Xform_stamps)  $(VirgoPolicy_stamps)  $(root_stamps)  $(FFTW_stamps)  $(PackageBuild_stamps) 
use_cflags=  $(Dy_cflags)  $(Cm_cflags)  $(CSet_cflags)  $(Fr_cflags)  $(Xform_cflags)  $(VirgoPolicy_cflags)  $(root_cflags)  $(FFTW_cflags)  $(PackageBuild_cflags) 
use_pp_cflags=  $(Dy_pp_cflags)  $(Cm_pp_cflags)  $(CSet_pp_cflags)  $(Fr_pp_cflags)  $(Xform_pp_cflags)  $(VirgoPolicy_pp_cflags)  $(root_pp_cflags)  $(FFTW_pp_cflags)  $(PackageBuild_pp_cflags) 
use_cppflags=  $(Dy_cppflags)  $(Cm_cppflags)  $(CSet_cppflags)  $(Fr_cppflags)  $(Xform_cppflags)  $(VirgoPolicy_cppflags)  $(root_cppflags)  $(FFTW_cppflags)  $(PackageBuild_cppflags) 
use_pp_cppflags=  $(Dy_pp_cppflags)  $(Cm_pp_cppflags)  $(CSet_pp_cppflags)  $(Fr_pp_cppflags)  $(Xform_pp_cppflags)  $(VirgoPolicy_pp_cppflags)  $(root_pp_cppflags)  $(FFTW_pp_cppflags)  $(PackageBuild_pp_cppflags) 
use_fflags=  $(Dy_fflags)  $(Cm_fflags)  $(CSet_fflags)  $(Fr_fflags)  $(Xform_fflags)  $(VirgoPolicy_fflags)  $(root_fflags)  $(FFTW_fflags)  $(PackageBuild_fflags) 
use_pp_fflags=  $(Dy_pp_fflags)  $(Cm_pp_fflags)  $(CSet_pp_fflags)  $(Fr_pp_fflags)  $(Xform_pp_fflags)  $(VirgoPolicy_pp_fflags)  $(root_pp_fflags)  $(FFTW_pp_fflags)  $(PackageBuild_pp_fflags) 
use_libraries= $(Cm_libraries)  $(CSet_libraries)  $(Fr_libraries)  $(Xform_libraries)  $(VirgoPolicy_libraries)  $(root_libraries)  $(FFTW_libraries)  $(PackageBuild_libraries) 
includes= $(ppcmd)"$(srcdir)" $(ppcmd)"/virgoApp/Dy/v9r12p19/src" $(ppcmd)"/virgoApp/Dy/v9r12p19/src/mysiesta" $(ppcmd)"/virgoApp/Dy/v9r12p19/src/xform" $(ppcmd)"/virgoApp/Dy/v9r12p19/src/userfct" $(ppcmd)"/virgoApp/root/v5r34p050/root/include" $(use_includes)
fincludes= $(includes)
VViewerSelectorDict_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
VDyPlotDict_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
VDyPlot2Dict_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
URZoomSeveralDict_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
Wrapper_checkDict_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
UserFctDict_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
dyincpath_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
Dy_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
Dy_use_linkopts=  $(Dy_linkopts)  $(Cm_linkopts)  $(CSet_linkopts)  $(Fr_linkopts)  $(Xform_linkopts)  $(VirgoPolicy_linkopts)  $(root_linkopts)  $(FFTW_linkopts)  $(PackageBuild_linkopts) 
dataDisplay_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
dataDisplay_use_linkopts=  $(Dy_linkopts)  $(Cm_linkopts)  $(CSet_linkopts)  $(Fr_linkopts)  $(Xform_linkopts)  $(VirgoPolicy_linkopts)  $(root_linkopts)  $(FFTW_linkopts)  $(PackageBuild_linkopts) 
install_rel_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
make_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
get_root_sources_GUID={88BF15AB-5A2D-4bea-B64F-02752C2A1F4F}
all_constituents= $(constituents)
constituentsclean= dataDisplayclean Dyclean dyincpathclean UserFctDictclean Wrapper_checkDictclean URZoomSeveralDictclean VDyPlot2Dictclean VDyPlotDictclean VViewerSelectorDictclean 
all_constituentsclean= $(constituentsclean)
cmt_actions_constituents= make get_root_sources 
cmt_actions_constituentsclean= get_root_sourcesclean makeclean 
install-rel_constituents= install_rel 
install-rel_constituentsclean= install_relclean 
