#-- start of make_header -----------------

#====================================
#  Document UserFctDict
#
#   Generated Wed Dec  3 10:41:21 2014  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_UserFctDict_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_UserFctDict_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_UserFctDict

Dy_tag = $(tag)

#cmt_local_tagfile_UserFctDict = $(Dy_tag)_UserFctDict.make
cmt_local_tagfile_UserFctDict = $(bin)$(Dy_tag)_UserFctDict.make

else

tags      = $(tag),$(CMTEXTRATAGS)

Dy_tag = $(tag)

#cmt_local_tagfile_UserFctDict = $(Dy_tag).make
cmt_local_tagfile_UserFctDict = $(bin)$(Dy_tag).make

endif

include $(cmt_local_tagfile_UserFctDict)
#-include $(cmt_local_tagfile_UserFctDict)

ifdef cmt_UserFctDict_has_target_tag

cmt_final_setup_UserFctDict = $(bin)setup_UserFctDict.make
cmt_dependencies_in_UserFctDict = $(bin)dependencies_UserFctDict.in
#cmt_final_setup_UserFctDict = $(bin)Dy_UserFctDictsetup.make
cmt_local_UserFctDict_makefile = $(bin)UserFctDict.make

else

cmt_final_setup_UserFctDict = $(bin)setup.make
cmt_dependencies_in_UserFctDict = $(bin)dependencies.in
#cmt_final_setup_UserFctDict = $(bin)Dysetup.make
cmt_local_UserFctDict_makefile = $(bin)UserFctDict.make

endif

#cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)Dysetup.make

#UserFctDict :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'UserFctDict'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = UserFctDict/
#UserFctDict::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

${CMTROOT}/src/Makefile.core : ;
ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------

UserFctDict_fileList :=

UserFctDict :: ${bin}UserFctDict.cc
	@echo "------> UserFctDict ok"

AddVect_C_dependencies = ../src/userfct/AddVect.C
DivVect_C_dependencies = ../src/userfct/DivVect.C
HighPassFilter_C_dependencies = ../src/userfct/HighPassFilter.C
Integrator_C_dependencies = ../src/userfct/Integrator.C
LowPassFilter_C_dependencies = ../src/userfct/LowPassFilter.C
MultVect_C_dependencies = ../src/userfct/MultVect.C
SubVect_C_dependencies = ../src/userfct/SubVect.C
AddVect_h_dependencies = ../src/userfct/AddVect.h
DivVect_h_dependencies = ../src/userfct/DivVect.h
HighPassFilter_h_dependencies = ../src/userfct/HighPassFilter.h
Integrator_h_dependencies = ../src/userfct/Integrator.h
LowPassFilter_h_dependencies = ../src/userfct/LowPassFilter.h
MultVect_h_dependencies = ../src/userfct/MultVect.h
SubVect_h_dependencies = ../src/userfct/SubVect.h
UserFct_LinkDef_h_dependencies = ../src/userfct/UserFct_LinkDef.h

UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/AddVect.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/DivVect.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/HighPassFilter.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/Integrator.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/LowPassFilter.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/MultVect.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/SubVect.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/AddVect.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/DivVect.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/HighPassFilter.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/Integrator.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/LowPassFilter.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/MultVect.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/SubVect.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/UserFct_LinkDef.h


${bin}UserFctDict.cc : ${UserFctDict_fileList}
	@echo Generating dictionary ${@}
	rootcint -f ${@} -c $(includes) \
	  ${rootcint_flags} ${UserFctDict_rootcint_flags} \
	  ${UserFctDict_fileList}

UserFctDictclean :: UserFctDictmyClean

UserFctDictmyClean ::
	-$(cleanup_echo) ROOT dictionary
	-$(cleanup_silent) rm -f ${bin}UserFctDict.*

#-- start of cleanup_header --------------

clean :: UserFctDictclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(UserFctDict.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

UserFctDictclean ::
#-- end of cleanup_header ---------------
