#-- start of make_header -----------------

#====================================
#  Document VDyPlotDict
#
#   Generated Wed Dec  3 10:41:21 2014  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VDyPlotDict_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VDyPlotDict_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VDyPlotDict

Dy_tag = $(tag)

#cmt_local_tagfile_VDyPlotDict = $(Dy_tag)_VDyPlotDict.make
cmt_local_tagfile_VDyPlotDict = $(bin)$(Dy_tag)_VDyPlotDict.make

else

tags      = $(tag),$(CMTEXTRATAGS)

Dy_tag = $(tag)

#cmt_local_tagfile_VDyPlotDict = $(Dy_tag).make
cmt_local_tagfile_VDyPlotDict = $(bin)$(Dy_tag).make

endif

include $(cmt_local_tagfile_VDyPlotDict)
#-include $(cmt_local_tagfile_VDyPlotDict)

ifdef cmt_VDyPlotDict_has_target_tag

cmt_final_setup_VDyPlotDict = $(bin)setup_VDyPlotDict.make
cmt_dependencies_in_VDyPlotDict = $(bin)dependencies_VDyPlotDict.in
#cmt_final_setup_VDyPlotDict = $(bin)Dy_VDyPlotDictsetup.make
cmt_local_VDyPlotDict_makefile = $(bin)VDyPlotDict.make

else

cmt_final_setup_VDyPlotDict = $(bin)setup.make
cmt_dependencies_in_VDyPlotDict = $(bin)dependencies.in
#cmt_final_setup_VDyPlotDict = $(bin)Dysetup.make
cmt_local_VDyPlotDict_makefile = $(bin)VDyPlotDict.make

endif

#cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)Dysetup.make

#VDyPlotDict :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'VDyPlotDict'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = VDyPlotDict/
#VDyPlotDict::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

${CMTROOT}/src/Makefile.core : ;
ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------

VDyPlotDict_fileList :=

VDyPlotDict :: ${bin}VDyPlotDict.cc
	@echo "------> VDyPlotDict ok"

VDyPlot_h_dependencies = ../src/mysiesta/VDyPlot.h

VDyPlotDict_fileList := ${VDyPlotDict_fileList} $(src)mysiesta/VDyPlot.h


${bin}VDyPlotDict.cc : ${VDyPlotDict_fileList}
	@echo Generating dictionary ${@}
	rootcint -f ${@} -c $(includes) \
	  ${rootcint_flags} ${VDyPlotDict_rootcint_flags} \
	  ${VDyPlotDict_fileList}

VDyPlotDictclean :: VDyPlotDictmyClean

VDyPlotDictmyClean ::
	-$(cleanup_echo) ROOT dictionary
	-$(cleanup_silent) rm -f ${bin}VDyPlotDict.*

#-- start of cleanup_header --------------

clean :: VDyPlotDictclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(VDyPlotDict.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

VDyPlotDictclean ::
#-- end of cleanup_header ---------------
