#-- start of make_header -----------------

#====================================
#  Application dataDisplay
#
#   Generated Wed Dec  3 10:41:47 2014  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_dataDisplay_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_dataDisplay_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_dataDisplay

Dy_tag = $(tag)

#cmt_local_tagfile_dataDisplay = $(Dy_tag)_dataDisplay.make
cmt_local_tagfile_dataDisplay = $(bin)$(Dy_tag)_dataDisplay.make

else

tags      = $(tag),$(CMTEXTRATAGS)

Dy_tag = $(tag)

#cmt_local_tagfile_dataDisplay = $(Dy_tag).make
cmt_local_tagfile_dataDisplay = $(bin)$(Dy_tag).make

endif

include $(cmt_local_tagfile_dataDisplay)
#-include $(cmt_local_tagfile_dataDisplay)

ifdef cmt_dataDisplay_has_target_tag

cmt_final_setup_dataDisplay = $(bin)setup_dataDisplay.make
cmt_dependencies_in_dataDisplay = $(bin)dependencies_dataDisplay.in
#cmt_final_setup_dataDisplay = $(bin)Dy_dataDisplaysetup.make
cmt_local_dataDisplay_makefile = $(bin)dataDisplay.make

else

cmt_final_setup_dataDisplay = $(bin)setup.make
cmt_dependencies_in_dataDisplay = $(bin)dependencies.in
#cmt_final_setup_dataDisplay = $(bin)Dysetup.make
cmt_local_dataDisplay_makefile = $(bin)dataDisplay.make

endif

#cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)Dysetup.make

#dataDisplay :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'dataDisplay'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = dataDisplay/
#dataDisplay::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

${CMTROOT}/src/Makefile.core : ;
ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------
#-- start of application_header

dataDisplay :: dirs dataDisplayPROTOS $(bin)dataDisplay${application_suffix}
	$(echo) "dataDisplay ok"

#-- end of application_header
#-- start of protos_header ------
    
dataDisplayPROTOS ::  $(inc)dataDisplay.pp
	$(echo) "dataDisplay : Protos ok"

#-- end of protos_header ------
#-- start of buildproto

$(inc)dataDisplay.pp : $(src)dataDisplay.c
	$(echo) "Now rebuilding $@"
	cd $(inc); $(build_prototype) $(src)dataDisplay.c >/dev/null
	cat /dev/null >$(inc)dataDisplay.pp

#-- end of buildproto
#-- start of application

$(bin)dataDisplay${application_suffix} :: $(bin)dataDisplay.o $(use_stamps) $(dataDisplay_stamps) $(dataDisplaystamps) $(use_requirements)
	$(link_echo) "application $@"
	$(link_silent) g++ -o $(@).new $(bin)dataDisplay.o $(cmt_installarea_linkopts) $(dataDisplay_use_linkopts) $(dataDisplaylinkopts) && mv -f $(@).new $(@)

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/bin
dataDisplayinstallname = dataDisplay${application_suffix}

dataDisplay :: dataDisplayinstall ;

install :: dataDisplayinstall ;

dataDisplayinstall :: $(install_dir)/$(dataDisplayinstallname)
ifdef CMTINSTALLAREA
	$(echo) "installation done"
endif

$(install_dir)/$(dataDisplayinstallname) :: $(bin)$(dataDisplayinstallname)
ifdef CMTINSTALLAREA
	$(install_silent) $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(dataDisplayinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)"
endif

##dataDisplayclean :: dataDisplayuninstall

uninstall :: dataDisplayuninstall ;

dataDisplayuninstall ::
ifdef CMTINSTALLAREA
	$(cleanup_silent) $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(dataDisplayinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)"
endif

#	@echo "------> (dataDisplay.make) Removing installed files"
#-- end of application
#-- start of dependencies ------------------
ifneq ($(MAKECMDGOALS),dataDisplayclean)
ifneq ($(MAKECMDGOALS),uninstall)

$(bin)dataDisplay_dependencies.make : $(use_requirements) $(cmt_final_setup_dataDisplay)
	$(echo) "(dataDisplay.make) Rebuilding $@"; \
	  $(build_dependencies) -out=$@ -start_all $(src)dataDisplay.c -end_all $(includes) $(app_dataDisplay_cppflags) $(lib_dataDisplay_cppflags) -name=dataDisplay $? -f=$(cmt_dependencies_in_dataDisplay) -without_cmt

-include $(bin)dataDisplay_dependencies.make

endif
endif

dataDisplayclean ::
	$(cleanup_silent) \rm -rf $(bin)dataDisplay_deps $(bin)dataDisplay_dependencies.make
#-- end of dependencies -------------------
#-- start of c ------

ifneq (,)

ifneq ($(MAKECMDGOALS),dataDisplayclean)
ifneq ($(MAKECMDGOALS),uninstall)
-include $(bin)$(binobj)dataDisplay.d

$(bin)$(binobj)dataDisplay.d : $(use_requirements) $(cmt_final_setup_dataDisplay)

$(bin)$(binobj)dataDisplay.d : $(src)dataDisplay.c
	$(dep_echo) $@
	$(c_silent) $(ccomp)  -o $(@D)/dataDisplay.dep $(use_pp_cflags) $(dataDisplay_pp_cflags) $(app_dataDisplay_pp_cflags) $(dataDisplay_pp_cflags) $(use_cflags) $(dataDisplay_cflags) $(app_dataDisplay_cflags) $(dataDisplay_cflags) $(dataDisplay_c_cflags)  $(src)dataDisplay.c
	$(c_silent) $(format_dependencies) $@ $(@D)/dataDisplay.o $(src)dataDisplay.c $(@D)/dataDisplay.dep
endif
endif

$(bin)$(binobj)dataDisplay.o : $(src)dataDisplay.c
else
$(bin)dataDisplay_dependencies.make : $(dataDisplay_c_dependencies)

$(bin)dataDisplay_dependencies.make : $(src)dataDisplay.c

$(bin)$(binobj)dataDisplay.o : $(dataDisplay_c_dependencies)
endif
	$(c_echo) $(src)dataDisplay.c
	$(c_silent) $(ccomp) -o $@ $(use_pp_cflags) $(dataDisplay_pp_cflags) $(app_dataDisplay_pp_cflags) $(dataDisplay_pp_cflags) $(use_cflags) $(dataDisplay_cflags) $(app_dataDisplay_cflags) $(dataDisplay_cflags) $(dataDisplay_c_cflags)  $(src)dataDisplay.c

#-- end of c ------
#-- start of cleanup_header --------------

clean :: dataDisplayclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(dataDisplay.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

dataDisplayclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup ------
	-$(cleanup_echo)  $(inc)dataDisplay.ph
	-$(cleanup_silent) cd $(src); /bin/rm -f  $(inc)dataDisplay.ph
#-- end of cleanup ------
#-- start of cleanup ------
	-$(cleanup_echo)  $(inc)dataDisplay.pp
	-$(cleanup_silent) cd $(src); /bin/rm -f  $(inc)dataDisplay.pp
#-- end of cleanup ------
#-- start of cleanup_application ------
	$(cleanup_echo) application dataDisplay
	-$(cleanup_silent) cd $(bin); /bin/rm -f dataDisplay${application_suffix}
#-- end of cleanup_application ------
#-- start of cleanup_objects ------
	$(cleanup_echo) objects dataDisplay
	-$(cleanup_silent) /bin/rm -f $(bin)dataDisplay.o
	-$(cleanup_silent) /bin/rm -f $(patsubst %.o,%.d,$(bin)dataDisplay.o) $(patsubst %.o,%.dep,$(bin)dataDisplay.o) $(patsubst %.o,%.d.stamp,$(bin)dataDisplay.o)
	-$(cleanup_silent) cd $(bin); /bin/rm -rf dataDisplay_deps dataDisplay_dependencies.make
#-- end of cleanup_objects ------
