#ifndef __UFrameL_ph__
#define __UFrameL_ph__

#ifdef __cplusplus
extern "C" {
#endif

void UJLibIni2  (char *jobName, long arg, char **argv);
void UFrLibIni ();
void UFrWaveIni (struct UFrWave *wave, double dt);
void UFrWaveEnd (struct UFrWave *wave);
void UFrWaveRead (iFile);
void UFrWaveSim (struct UFrWave *wave, long ttime);
void UFrIFileIni (iFile, dt);
void UFrIFileEnd (struct UFrIFile *iFile);
void UFrIFileRead (iFile);
double DyFrFileIGetNextEventTime (FrFile *iFile,                               char *name,                               double tStart,                               double aMin);
void UFrIFileSim (struct UFrIFile *iFile, long ttime);
void UFrIFileCmIni  (struct UFrIFileCm *iFile, double dt);
void UFrIFileCmRead (iFile);
void UFrIFileCmSim  (struct UFrIFileCm *iFile, long clocktime);
void UFrIFileCmEnd  (struct UFrIFileCm *dIF);
void UFrIFileOnlineIni (iFile, dt);
void UFrIFileOnlineRead (iFile);
void UFrIFileOnlineSim  (struct UFrIFileOnline *iFile, long time);
void UFrUnpackIni (unpack, dt);
void UFrUnpackRead (iFile);
 (unpack, time)            /* update UFrame number  */;
void UFrUnpackEnd (struct UFrUnpack *unpack);
void UFrShmIni  (struct UFrShm *iFile, double dt);
void UFrShmEnd  (struct UFrShm *iFile);
void UFrShmRead (iFile);
void UFrShmSim  (struct UFrShm *iFile, long clocktime);
void UFrVectOpEnd  (struct UFrVectOp *vectop);
void UFrVectOpRead  (struct UJfile *iFile);
void UFrVectOpIni  (struct UFrVectOp *vectop, double dt);
void UFrVectOpSim  (struct UFrVectOp *vectop, long time);

#ifdef __cplusplus
}
#endif

#endif

