#ifndef __URPlot_ph__
#define __URPlot_ph__

#ifdef __cplusplus
extern "C" {
#endif

void UHLibIni ();
void UHdummyRead (iFile);
void UHdummySim (dummy,time);
void UHplotUpdateEnv  (int plotNum, char *plotName, char *plotOptions, char *refplotName, int refplotNum, int nsame,                       char *title, int color, float *buff, int nBin, double *corrupt);
void UHplotSetTime  (double origin, char *plotName, double deltat, int nAverage, int timeaxis, struct FrameH *frame);
void UHoptDecode (options,intervalle,plotOpt);
void UHoptPlopt (options, numPicture, numsubpad);
void UHplot (name, numPicture, options, plotOpt, numsubpad, nsame);
void UHplotFEnd (plotFFT);
void UHplotFIni (plotFFT,dt);
void UHplotFIniFrame  (struct UHplotFFT *plotFFT);
void UHplotFRead (iFile);
void UHplotFSim (plotFFT,time);
void UHplotTEnd (plotTime);
void UHplotTIni (plotTime,dt);
void UHplotTIniFrame  (struct UHplotTime *plotTime);
void UHplotTRead (iFile);
void UHplotTSim (plotTime,time);
void UHplot1DEnd (plot1D);
void UHplot1DIni (plot1D,dt);
void UHplot1DIniFrame  (struct UHplot1D *plot1D);
void UHplot1DRead (iFile);
void UHplot1DSim (plot1D,time);
void UHplot2DEnd (plot2D);
void UHplot2DIni (plot2D,dt);
void UHplot2DIniFrame  (struct UHplot2D *plot2D);
void UHplot2DRead (iFile);
void UHplot2DSim (plot2D,time);
void UHplot3DEnd (plot3D);
void UHplot3DIni (plot3D,dt);
void UHplot3DIniFrame  (struct UHplot3D *plot3D);
void UHplot3DRead (iFile);
void UHplot3DSim (plot3D,time);
void UHpTfctEnd (pTfct);
void UHpTfctIni (pTfct,dt);
void UHpTfctIniFrame  (struct UHpTfct *pTfct);
void UHpTfctRead (iFile);
void UHpTfctSim (pTfct,time);
void UHpCoheEnd (pCohe);
void UHpCoheIni (pCohe,dt);
void UHpCoheIniFrame  (struct UHpCohe *pCohe);
void UHpCoheRead (iFile);
void UHpCoheSim (pCohe,time);
void UHpCorrEnd (pCorr);
void UHpCorrIni (pCorr,dt);
void UHpCorrIniFrame  (struct UHpCorr *pCorr);
void UHpCorrRead (iFile);
void UHpCorrSim (pCorr,time);
void UHsoundEnd (struct UHsound *sound);
void UHsoundIni (struct UHsound *sound, double dt);
void UHsoundIniFrame  (struct UHsound *sound);
void UHsoundRead (struct UJfile *iFile);
void UHsoundSim (struct UHsound *sound, long time)           ;
void UHplotFTEnd (plotFFTTime);
void UHplotFTIni (plotFFTTime,dt);
void UHplotFTIniFrame  (struct UHplotFFTTime *plotFFTTime);
void UHplotFTRead (iFile);
void UHplotFTSim (plotFFTTime,time);
void UHpCoheTEnd (pCoheTime);
void UHpCoheTIni (pCoheTime,dt);
void UHpCoheTIniFrame  (struct UHpCoheTime *pCoheTime);
void UHpCoheTRead (iFile);
void UHpCoheTSim (pCoheTime,time);
void UHpTfctTEnd (pTfctTime);
void UHpTfctTIni (pTfctTime,dt);
void UHpTfctTIniFrame  (struct UHpTfctTime *pTfctTime);
void UHpTfctTRead (iFile);
void UHpTfctTSim (pTfctTime,time);
void UHplot1DTEnd (plot1DTime);
void UHplot1DTIni (plot1DTime,dt);
void UHplot1DTIniFrame  (struct UHplot1DTime *plot1DTime);
void UHplot1DTRead (iFile);
void UHplot1DTSim (plot1DTime,time);
void UHplotRawEnd (plotRaw);
void UHplotRawIni (plotRaw,dt);
void UHplotRawRead (iFile);
void UHplotRawSim (plotRaw,time);
void UHplotRawTEnd (plotRawTime);
void UHplotRawTIni (plotRawTime,dt);
void UHplotRawTRead (iFile);
void UHplotRawTSim (plotRawTime,time);

#ifdef __cplusplus
}
#endif

#endif

