#ifndef VDYAXIS_DEFINED
#define VDYAXIS_DEFINED

#include "TAxis.h"

/************************************************************************/
/*                                                                      */
/* VDyAxis                                                              */
/*                                                                      */
/* class describing an axis                                             */
/* Used to adapt the behaviour of TH1F to datadisplay needs             */
/*                                                                      */
/************************************************************************/


class VDyAxis : public TAxis
{      
public :
    VDyAxis() {};
    VDyAxis(Int_t nbins, Axis_t xmin, Axis_t xmax);
    VDyAxis(Int_t nbins, const Axis_t *xbins);
    VDyAxis(const VDyAxis &axis);
    ~VDyAxis() {};
    virtual void     Copy(TObject &axis);
            void     PrintTest() {printf("truc\n");} // *MENU*

    ClassDef(VDyAxis,1) // Customised axis
};

#endif

