/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plotfft.h"

FD_plotfft *create_form_plotfft(void)
{
  FL_OBJECT *obj;
  FD_plotfft *fdui = (FD_plotfft *) fl_calloc(1, sizeof(*fdui));

  fdui->plotfft = fl_bgn_form(FL_NO_BOX, 460, 380);
  obj = fl_add_box(FL_UP_BOX,0,0,460,380,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_COL1);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,360,180,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,200,360,130,"");
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,340,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformEditPlot,4);
  fdui->name = obj = fl_add_input(FL_NORMAL_INPUT,60,20,300,30,"Name");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,320,340,50,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,4);
  fdui->tstep = obj = fl_add_input(FL_FLOAT_INPUT,220,120,100,30,"Time shift (% of time window)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->average_fft = obj = fl_add_input(FL_FLOAT_INPUT,220,150,100,30,"Number of FFTs to average");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xMax = obj = fl_add_input(FL_FLOAT_INPUT,240,250,80,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xMin = obj = fl_add_input(FL_FLOAT_INPUT,160,250,80,30,"Zoom freq min/max (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->tsize = obj = fl_add_input(FL_FLOAT_INPUT,220,60,100,30,"Time Window (s)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->sampFreq = obj = fl_add_input(FL_FLOAT_INPUT,220,90,100,30,"Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,130,340,150,20,"Spectrum Plot");
    fl_set_object_color(obj,FL_DARKCYAN,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_SHADOW_STYLE);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,380,300,70,30,"Default");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformPutDefaultInPanel,0);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,50,60,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,70,60,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,30,60,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,10,60,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->nodc = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,150,70,20,"noDC");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->realUnits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,120,70,20,"unitsY");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->autoScale = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,100,70,20,"autoY");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->hertz = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,180,70,20,"1/Hz");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->rmsfft = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,210,70,20,"rms");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->refresh_fft = obj = fl_add_input(FL_FLOAT_INPUT,220,210,100,30,"refreshPeriod (in number of FFTs)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->decayfft = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,240,70,20,"decay");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->tsize_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,60,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->sampFreq_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,90,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->tstep_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,120,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->average_fft_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,150,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->refresh_fft_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,210,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->xMin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,320,250,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->xMax_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,250,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->minmax_resample = obj = fl_add_checkbutton(FL_PUSH_BUTTON,70,90,30,30,"minmax");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->yMax = obj = fl_add_input(FL_FLOAT_INPUT,240,290,80,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->yMin = obj = fl_add_input(FL_FLOAT_INPUT,160,290,80,30,"yMin / yMax");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->yMin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,320,290,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->yMax_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,290,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fl_end_form();

  fdui->plotfft->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

