/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plotgenepar.h"

FD_plotgenepar *create_form_plotgenepar(void)
{
  FL_OBJECT *obj;
  FD_plotgenepar *fdui = (FD_plotgenepar *) fl_calloc(1, sizeof(*fdui));

  fdui->plotgenepar = fl_bgn_form(FL_NO_BOX, 380, 270);
  obj = fl_add_box(FL_UP_BOX,0,0,380,270,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_COL1);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,360,170,"");
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,230,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGeneParToPlot,0);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,320,230,50,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,4);
  fdui->tstep = obj = fl_add_input(FL_FLOAT_INPUT,260,80,100,30,"Time shift (% of time window)");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->tsize = obj = fl_add_input(FL_FLOAT_INPUT,260,20,100,30,"Time Window (s)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->sampFreq = obj = fl_add_input(FL_FLOAT_INPUT,260,50,100,30,"Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,100,240,200,20,"Common Parameters");
    fl_set_object_color(obj,FL_DARKCYAN,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_SHADOW_STYLE);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,230,130,60,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,230,150,60,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->nodc = obj = fl_add_lightbutton(FL_PUSH_BUTTON,90,150,60,20,"noDC");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->realUnits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,90,130,60,20,"units");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->autoEdge = obj = fl_add_lightbutton(FL_PUSH_BUTTON,160,130,60,20,"autoX");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->autoScale = obj = fl_add_lightbutton(FL_PUSH_BUTTON,160,150,60,20,"autoY");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,230,190,140,30,"Put Default in all Plots");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformPutDefaultInAllPlots,0);
  fdui->decayfft = obj = fl_add_lightbutton(FL_PUSH_BUTTON,20,130,60,20,"decay");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->minmax_resample = obj = fl_add_checkbutton(FL_PUSH_BUTTON,90,50,30,30,"minmax");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->all_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,10,190,30,30,"Update all parameters");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,300,130,60,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,300,150,60,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fl_end_form();

  fdui->plotgenepar->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

