/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plottrfct.h"

FD_plottrfct *create_form_plottrfct(void)
{
  FL_OBJECT *obj;
  FD_plottrfct *fdui = (FD_plottrfct *) fl_calloc(1, sizeof(*fdui));

  fdui->plottrfct = fl_bgn_form(FL_NO_BOX, 460, 480);
  obj = fl_add_box(FL_UP_BOX,0,0,460,480,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_COL1);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,380,10,60,120,"module");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_TIMESBOLDITALIC_STYLE);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,380,140,60,100,"phase");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_TIMESBOLDITALIC_STYLE);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,360,190,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,210,360,210,"");
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,430,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformEditPlot,4);
  fdui->name = obj = fl_add_input(FL_NORMAL_INPUT,60,20,300,30,"Name");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,320,430,50,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,4);
  fdui->tstep = obj = fl_add_input(FL_FLOAT_INPUT,220,120,100,30,"Time shift (% of time window)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->average_fft = obj = fl_add_input(FL_INT_INPUT,220,160,100,30,"Number of FFTs to average");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xMax = obj = fl_add_input(FL_FLOAT_INPUT,240,270,80,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xMin = obj = fl_add_input(FL_FLOAT_INPUT,160,270,80,30,"Zoom freq min/max (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->tsize = obj = fl_add_input(FL_FLOAT_INPUT,220,60,100,30,"Time Window (s)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->sampFreq = obj = fl_add_input(FL_FLOAT_INPUT,220,90,100,30,"Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->title = obj = fl_add_text(FL_NORMAL_TEXT,90,430,210,20,"Transfert Function Plot");
    fl_set_object_color(obj,FL_DARKCYAN,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_SHADOW_STYLE);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,380,390,70,30,"Default");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformPutDefaultInPanel,0);
  fdui->gridx2 = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,200,60,20,"gridx");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy2 = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,220,60,20,"gridy");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy2 = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,180,60,20,"logy");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx2 = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,160,60,20,"logx");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,70,60,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,90,60,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,50,60,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,30,60,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->nodc = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,300,70,20,"noDC");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->realUnits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,270,70,20,"unitsY");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->autoScale = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,250,70,20,"autoY");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->refresh_fft = obj = fl_add_input(FL_INT_INPUT,230,230,90,30,"refreshPeriod (in number of FFTs)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->decayfft = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,330,70,20,"decay");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->tsize_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,60,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->sampFreq_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,90,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->tstep_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,120,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->average_fft_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,160,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->refresh_fft_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,230,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->xMin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,320,270,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->xMax_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,270,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->minmax_resample = obj = fl_add_checkbutton(FL_PUSH_BUTTON,80,90,30,30,"minmax");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->yMax = obj = fl_add_input(FL_FLOAT_INPUT,240,310,80,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->yMin = obj = fl_add_input(FL_FLOAT_INPUT,160,310,80,30,"yMin / yMax");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->yMin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,320,310,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->yMax_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,310,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->crossCohe_fmin = obj = fl_add_input(FL_FLOAT_INPUT,160,350,80,30,"Y axis freq min/max (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->crossCohe_fmax = obj = fl_add_input(FL_FLOAT_INPUT,240,350,80,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->crossCohe_fmin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,320,350,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->crossCohe_fmax_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,350,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->crossCohe = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,360,70,20,"2Dcohe");
    fl_set_object_lcolor(obj,FL_RIGHT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->modulesqrt = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,110,60,20,"sqrt");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
  fl_end_form();

  fdui->plottrfct->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

