#define delta_cxx
// The class definition in delta.h has been generated automatically
// by the Data Display utility MakeClass().
//opstring=delta =  V1:Gx_PR_tx - V1:Gx_PR_ty 
//
// This class is derived from the class VViewerSelector.
// The following members functions are called by the dataDisplay Process() functions:
//    Init():        called once per dataDisplay session
//    Begin():       called everytime a loop on the data starts,
//                   a convenient place to create your histograms.
//    ProcessVect(): called for each vector(s) that should be analyzed
//    Terminate():   called at the end of a loop in the dataDisplay,
//                   a convenient place to draw/fit your histograms.
//
#include "delta.h"

#if !defined(__CINT__) || defined(__MAKECINT__)
// Here come the user includes like
// #include "TH1F.h"
#endif

void delta::Init()
{
}


void delta::Begin()
{
   // Function called before starting the analysis loop.

}

Bool_t delta::ProcessVect(int nbvect, FrVect** invects, FrVect* outvect, double* par)
{
   // Function called for selected vectors only.
   // invects is an array of vectors, nbvect is the number.
   // of vectors in the array and outvect is the resulting.
   // output vector.
   // par is a set of parameters.
   // Return kFALSE to stop processing.
   // The following code is an example, where sum of squares is computed.
   // Just replace it by your own code.

int i, j, ndata_max, indix;
double value;
double valueIn[256];

ndata_max = 0;
for (i=0; i<nbvect; i++)
   {if (invects[i])
       {if (ndata_max < invects[i]->nData) ndata_max = invects[i]->nData;}
   }

for (j=0; j<ndata_max; j++)
   {
    outvect->dataD[j] = 0.;
    for (i=0; i<nbvect; i++)
       {
        if (invects[i])
           {indix = (int)((double)j * invects[i]->nData / ndata_max);
            valueIn[i] = FrVectGetV (invects[i], indix);
           }
        }
     outvect->dataD[j] = (valueIn[0]-valueIn[1]);
   }

   return kTRUE;

}

void delta::Terminate()
{
   // Function called at the end of the analysis loop.


}
