#-- start of make_header -----------------

#====================================
#  Document dyincpath
#
#   Generated Wed Dec  3 10:41:20 2014  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_dyincpath_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_dyincpath_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_dyincpath

Dy_tag = $(tag)

#cmt_local_tagfile_dyincpath = $(Dy_tag)_dyincpath.make
cmt_local_tagfile_dyincpath = $(bin)$(Dy_tag)_dyincpath.make

else

tags      = $(tag),$(CMTEXTRATAGS)

Dy_tag = $(tag)

#cmt_local_tagfile_dyincpath = $(Dy_tag).make
cmt_local_tagfile_dyincpath = $(bin)$(Dy_tag).make

endif

include $(cmt_local_tagfile_dyincpath)
#-include $(cmt_local_tagfile_dyincpath)

ifdef cmt_dyincpath_has_target_tag

cmt_final_setup_dyincpath = $(bin)setup_dyincpath.make
cmt_dependencies_in_dyincpath = $(bin)dependencies_dyincpath.in
#cmt_final_setup_dyincpath = $(bin)Dy_dyincpathsetup.make
cmt_local_dyincpath_makefile = $(bin)dyincpath.make

else

cmt_final_setup_dyincpath = $(bin)setup.make
cmt_dependencies_in_dyincpath = $(bin)dependencies.in
#cmt_final_setup_dyincpath = $(bin)Dysetup.make
cmt_local_dyincpath_makefile = $(bin)dyincpath.make

endif

#cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)Dysetup.make

#dyincpath :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'dyincpath'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = dyincpath/
#dyincpath::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

${CMTROOT}/src/Makefile.core : ;
ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------

dyincpath :: ${src}dyincpath.h
	@echo "------> dyincpath ok"

# Build the configuration header
${src}dyincpath.h : ../src/dyincpath.in

	@echo "Generating dyincpath header $@"

	@# We proceed with the normal configuration
	@sed  -e "s|@dyincpath@|-I${FRROOT}/src -I${DYROOT}/src/mysiesta|" \
	 < ../src/dyincpath.in > $@



dyincpathclean :: dyincpathmyClean

dyincpathmyClean ::
	-$(cleanup_echo) ${bin}dyincpath.h
	-$(cleanup_silent) rm -f ${bin}dyincpath.h
#-- start of cleanup_header --------------

clean :: dyincpathclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(dyincpath.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

dyincpathclean ::
#-- end of cleanup_header ---------------
