#ifndef __UArrayL_ph__
#define __UArrayL_ph__

#ifdef __cplusplus
extern "C" {
#endif

void UALibIni ();
void UACDAdd (mat1, mat2, matOut);
void UACDCopy (In, Out);
void UACDCscal (in, c_factor, out);
double UACDEcartV ( Vect1, Vect2);
void UACDeqn (va,vx,vb);
void UACDfact (va,ir);
void UACDfeqn (va,vb,ir);
void UACDinv (vIn,vOut);
void UACDfinv (vIn,ir);
void  UACDft2d (Vect, msign);
void UACDfft (Vect, msign);
void UACDinvertV (VectIn, VectOut);
void UACDNormalV (Vect, xnnorm);
void UACDProd (mat1, mat2, matOut);
void UACDProdSq (Vect1, Vect2, VectOut);
void UACDProdV (mat1, mat2, matOut);
void UACDRScal ( in, factor, out);
void UACDScalV (Vect1, Vect2, ps);
void UACDSolve3V (va, vx, vb);
void UACDSub (mat1, mat2, matOut);
void UACDsymLines (matIn, matOut);
void UACDunitSub (VectIn, VectOut);
void UACFfft (Vect, msign);
void UADAdd (mat1, mat2, matOut);
void UADC2d (A,B,Ad,Bd,t);
void UADCopy (In, Out);
void  UADfft (Vect, msign);
double UADInv (in, out);
void UADPolProdV (Vect1, Vect2, VectOut);
long UADPolRootV (polyn, root);
void UADProd (mat1, mat2, matOut);
void UADrk4 (matA, matB, matC, matD, matY, matU, matX0, path);
void UADScal ( in, factor, out);
void UADSub (mat1, mat2, matOut);
void UADTran (in, out);
void UADValVec (matA, matZ, matW, low, igh, ierr);
void UADvvBalanc (matA, low, igh, scale);
void UADvvElmhes (matA, low, igh, inte);
void UADvvEltran (matA, matZ, low, igh, inte);
void UADvvMulcpx2 (a,b,c,d,x,y);
void UADvvBalbak (matZ, low, igh, scale, m);
void UADvvHqr2 (matA, matW, matZ, low, igh, ierr);
void UADExpm (matIn, matOut);
void UAfillDRead (iFile);
void UAfillDSim (fill,time);
void UAfillFRead (iFile);
void UAfillFSim (fill,time);

#ifdef __cplusplus
}
#endif

#endif

