#ifndef __USignalL_ph__
#define __USignalL_ph__

#ifdef __cplusplus
extern "C" {
#endif

void USLibIni ();
void USadcEnd (adc);
void USadcFree (adc);
void USadcIni (adc, dt);
void USadcRead (iFile);
void USadcSim (adc, time)  ;
void USadderFree (adder);
void USadderMsg (adder, msgType, param, reportL, report);
void USadderRead (iFile);
void USadderSim (adder, time);
void USaverageFree (average);
void USaverageIni (average, dt);
void USaverageRead (iFile);
void USaverageSim (average, time)  ;
void UScosFree (cosine);
void UScosRead (iFile);
void UScosSim (cosine, time);
void UScosineFree (cosine);
void UScosineIni (cosine, dt);
void UScosineRead (iFile);
void UScosineSim (cosine, time);
void USdelayFree (delay);
void USdelayIni (delay, dt);
void USdelayRead (iFile);
void USdelaySim (delay, time);
void USdivideFree (divide);
void USdivideRead (iFile);
void USdivideSim (divide, time);
void USfilterFree (filter);
void USfilterIni (filter, dt);
void USfilterRead (iFile);
void USfilterSim (filter, time);
void USfilter1Free (filter);
void USfilter1Ini (filter, dt);
void USfilter1Read (iFile);
void USfilter1Sim (filter, time);
void USfilter2Free (filter);
void USfilter2Ini (filter, dt);
void USfilter2Read (iFile);
void USfilter2Sim (filter, time);
void USfilter3Free (filter);
void USfilter3Ini (filter, dt);
void USfilter3Read (iFile);
void USfilter3Sim (filter, time);
void USfilter4Free (filter);
void USfilter4Ini (filter, dt);
void USfilter4Read (iFile);
void USfilter4Sim (filter, time);
void USfilter5Free (filter);
void USfilter5Ini (filter, dt);
void USfilter5Read (iFile);
void USfilter5Sim (filter, time);
void USfreqSelIni (freqSel,dt);
void USfreqSelRead (iFile);
void USfreqSelSim (freqSel,time);
void USgeneFree (generator);
void USgeneIni (generator, dt);
void USgeneRead (iFile);
void USgeneSim (generator, time);
void USifIni (usif, dt);
void USifRead (iFile);
void USifSim (usif, time);
void USifMIni (usifM, dt);
int USifMstrcount (p,t);
char *USifMstrchr (p,t);
int USifMcutparen (p);
struct USifMtest *USifMreads (s);
void USifMFreetest (test);
double USifMEval (test);
void USifMRead (iFile);
void USifMFree (usifM);
void USifMSim (usifM, time);
struct USignal *USignalFind (name);
void USignalEnd ();
void USignalFree (signal);
struct USignal *USignalNew (name, ascii);
void USignalRead (iFile);
struct USignal6 *USignal6New (name, ascii);
struct USignal6 *USignal6Find (name);
void USignal6Free (s6);
void US6SetFree (set6);
void US6SetRead (iFile);
void US6SetSim (set6, time)         ;
void US6SmearFree (position);
void US6SmearIni (position, dt);
void US6SmearRead (iFile);
void US6SmearSim (position, time)         /* Compute MIrror's motion */;
void USsweepFree (sweep);
void USsweepIni (sweep, dt);
void USsweepRead (iFile);
void USsweepSim (sweep, time);
void UStransFRead (iFile);
void UStransFEnd (transF);
void USburgRead (iFile);
void USburgIni (burg, dt);
void USburgSim (burg, time)  ;
void USburgFree (burg);
void USburgEnd (burg);
void USimpulseFree (impulse);
void USimpulseIni (impulse, dt);
void USimpulseRead (iFile)                       /* read impulse bank   */;
long USimpulseTrigger (max, dim) /* Trigger the start */;
void USimpulseSim (impulse, time)         /* Generate the impulse signal */;
void USimpulseEnd (impulse);
double USimpulseScale (maxDist) /* Generate a random distance */;

#ifdef __cplusplus
}
#endif

#endif

