/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "dydebug.h"

FD_dydebug *create_form_dydebug(void)
{
  FL_OBJECT *obj;
  FD_dydebug *fdui = (FD_dydebug *) fl_calloc(1, sizeof(*fdui));

  fdui->dydebug = fl_bgn_form(FL_NO_BOX, 270, 380);
  obj = fl_add_box(FL_UP_BOX,0,0,270,380,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_DARKCYAN);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,50,250,280,"");
  fdui->dbg_plot = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,100,170,30,"Plots creation (plots)");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetDebug,2);
  fdui->dbg_vdyplot = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,60,180,30,"Plots drawing (vdyplot)");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetDebug,0);
  fdui->dbg_urplot = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,80,180,30,"Plots building (urplot)");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetDebug,1);
  fdui->dbg_file = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,130,160,30,"Inputs offline (file)");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetDebug,3);
  fdui->dbg_cm = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,150,160,30,"Inputs online (cm)");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetDebug,4);
  fdui->dbg_config = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,210,240,30,"Config management  (config)");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetDebug,5);
  fdui->dbg_speed = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,240,220,30,"Speed of read/display (speed)");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetDebug,6);
  fdui->dbg_others = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,280,180,30,"Any other stuff (others)");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetDebug,12);
  obj = fl_add_text(FL_NORMAL_TEXT,70,340,110,30,"Debugging");
    fl_set_object_color(obj,FL_DARKCYAN,FL_DARKCYAN);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLDITALIC_STYLE);
  fdui->debuglvl = obj = fl_add_input(FL_NORMAL_INPUT,120,10,60,30,"Debug level ");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetDebug,0);
  fdui->close = obj = fl_add_button(FL_RETURN_BUTTON,190,340,70,30,"Close");
    fl_set_object_color(obj,FL_WHEAT,FL_WHEAT);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,0);
  fdui->dbg_frame = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,170,160,30,"Data read (frame)");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetDebug,5);
  fdui->dbg_channel = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,190,240,30,"Channels management (channels)");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetDebug,5);
  fdui->checks = obj = fl_add_button(FL_NORMAL_BUTTON,190,10,70,30,"Checks");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformChecks,0);
  fdui->dbg_calls = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,260,180,30,"See called functions");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetDebug,9);
  fl_end_form();

  fdui->dydebug->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

