/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "dyoptions.h"

FD_dyoptions *create_form_dyoptions(void)
{
  FL_OBJECT *obj;
  FD_dyoptions *fdui = (FD_dyoptions *) fl_calloc(1, sizeof(*fdui));

  fdui->dyoptions = fl_bgn_form(FL_NO_BOX, 250, 650);
  obj = fl_add_box(FL_UP_BOX,0,0,250,650,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_COL1);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,230,590,"");
  fdui->notoc = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,360,90,30,"No TOC");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformSetNoToc,0);
  fdui->skipFrame = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,380,150,30,"Skip Missing Frames");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->trigused = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,550,100,30,"Trigger ON");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->trigpause = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,570,150,30,"Pause when trigger");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,1);
  fdui->noplot = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,410,120,30,"Plots not shown");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,2);
  fdui->color2d = obj = fl_add_button(FL_NORMAL_BUTTON,30,20,80,30,"Color2D");
    fl_set_object_color(obj,FL_DARKCYAN,FL_GREEN);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyColorPalette,-1);
  obj = fl_add_text(FL_NORMAL_TEXT,70,610,80,30,"Options");
    fl_set_object_color(obj,FL_DARKCYAN,FL_MCOL);
    fl_set_object_lcolor(obj,FL_WHITE);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLDITALIC_STYLE);
  fdui->autodeselectplot = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,310,150,30,"Auto-deselect Plots");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,4);
  fdui->autodeselectch = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,330,170,30,"Auto-deselect Channels");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,5);
  fdui->close = obj = fl_add_button(FL_RETURN_BUTTON,180,610,60,30,"Close");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,0);
  fdui->noBox = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,450,180,30,"No vertical colored  lines");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->zoomstatp = obj = fl_add_button(FL_NORMAL_BUTTON,50,160,20,20,"+");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,1);
  fdui->zoomstatm = obj = fl_add_button(FL_NORMAL_BUTTON,30,160,20,20,"-");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,-1);
  fdui->zoomstattitle = obj = fl_add_text(FL_NORMAL_TEXT,80,160,160,20,"Zoom all stat boxes");
    fl_set_object_color(obj,FL_DARKCYAN,FL_DARKCYAN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zoomlabelxp = obj = fl_add_button(FL_NORMAL_BUTTON,50,250,20,20,"+");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,1);
  fdui->zoomlabelxm = obj = fl_add_button(FL_NORMAL_BUTTON,30,250,20,20,"-");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_LIGHTER_COL1);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,-1);
  fdui->zoomlabelxtitle = obj = fl_add_text(FL_NORMAL_TEXT,80,250,160,20,"Zoom all labels on X axis");
    fl_set_object_color(obj,FL_DARKCYAN,FL_DARKCYAN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zoomlabelyp = obj = fl_add_button(FL_NORMAL_BUTTON,50,280,20,20,"+");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,1);
  fdui->zoomlabelym = obj = fl_add_button(FL_NORMAL_BUTTON,30,280,20,20,"-");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,-1);
  fdui->zoomlabelytitle = obj = fl_add_text(FL_NORMAL_TEXT,80,280,160,20,"Zoom all labels on Y axis");
    fl_set_object_color(obj,FL_DARKCYAN,FL_DARKCYAN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->loglinx = obj = fl_add_button(FL_NORMAL_BUTTON,30,60,90,30,"Log/Lin X");
    fl_set_object_color(obj,FL_DARKCYAN,FL_DODGERBLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,0);
  fdui->logliny = obj = fl_add_button(FL_NORMAL_BUTTON,30,90,90,30,"Log/Lin Y");
    fl_set_object_color(obj,FL_DARKCYAN,FL_DODGERBLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,0);
  fdui->zoomlegendp = obj = fl_add_button(FL_NORMAL_BUTTON,50,130,20,20,"+");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,1);
  fdui->zoomlegendm = obj = fl_add_button(FL_NORMAL_BUTTON,30,130,20,20,"-");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,-1);
  fdui->zoomlegendtitle = obj = fl_add_text(FL_NORMAL_TEXT,80,130,160,20,"Zoom all legends");
    fl_set_object_color(obj,FL_DARKCYAN,FL_DARKCYAN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zoomtimestringp = obj = fl_add_button(FL_NORMAL_BUTTON,50,190,20,20,"+");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,1);
  fdui->zoomtimestringm = obj = fl_add_button(FL_NORMAL_BUTTON,30,190,20,20,"-");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,-1);
  fdui->zoomtimestringtitle = obj = fl_add_text(FL_NORMAL_TEXT,80,190,160,20,"Zoom all time strings");
    fl_set_object_color(obj,FL_DARKCYAN,FL_DARKCYAN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zoomtitlep = obj = fl_add_button(FL_NORMAL_BUTTON,50,220,20,20,"+");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,1);
  fdui->zoomtitlem = obj = fl_add_button(FL_NORMAL_BUTTON,30,220,20,20,"-");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformRootUtil,-1);
  fdui->zoomtitletitle = obj = fl_add_text(FL_NORMAL_TEXT,80,220,160,20,"Zoom all titles");
    fl_set_object_color(obj,FL_DARKCYAN,FL_DARKCYAN);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->fullwhite = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,470,170,30,"Full white Canvas");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->indelebile = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,430,190,30,"Persistant reference plots");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->nicefont = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,490,170,30,"Slower but nicer fonts");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fdui->squareplot = obj = fl_add_checkbutton(FL_PUSH_BUTTON,20,510,170,30,"square Plots window");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,DyXformGetButton,0);
  fl_end_form();

  fdui->dyoptions->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

