/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plot1d.h"

FD_plot1d *create_form_plot1d(void)
{
  FL_OBJECT *obj;
  FD_plot1d *fdui = (FD_plot1d *) fl_calloc(1, sizeof(*fdui));

  fdui->plot1d = fl_bgn_form(FL_NO_BOX, 430, 290);
  obj = fl_add_box(FL_UP_BOX,0,0,430,290,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_COL1);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,330,230,"");
  fdui->stat = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,110,70,20,"stat");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,250,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformEditPlot,12);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,290,250,50,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,12);
  fdui->name = obj = fl_add_input(FL_NORMAL_INPUT,60,20,270,30,"Name");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xnBin = obj = fl_add_input(FL_INT_INPUT,210,60,100,30,"nBin");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,10,70,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,30,70,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,60,70,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xMin = obj = fl_add_input(FL_FLOAT_INPUT,210,90,100,30,"x min");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xMax = obj = fl_add_input(FL_FLOAT_INPUT,210,120,100,30,"x max");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->tstep = obj = fl_add_input(FL_FLOAT_INPUT,210,200,100,30,"Refresh Period (s)");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,80,70,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->autoEdge = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,140,70,20,"autoX");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,110,250,140,20,"1D Distribution");
    fl_set_object_color(obj,FL_DARKCYAN,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_SHADOW_STYLE);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,350,210,60,30,"Default");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformPutDefaultInPanel,0);
  fdui->realUnits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,350,170,70,20,"unitsX");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xnBin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,310,60,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->xMin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,310,90,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->xMax_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,310,120,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->tstep_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,310,200,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->sampFreq = obj = fl_add_input(FL_FLOAT_INPUT,210,160,100,30,"Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->sampFreq_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,310,160,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->minmax_resample = obj = fl_add_checkbutton(FL_PUSH_BUTTON,70,160,30,30,"minmax");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fl_end_form();

  fdui->plot1d->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

