/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plotffttime.h"

FD_plotffttime *create_form_plotffttime(void)
{
  FL_OBJECT *obj;
  FD_plotffttime *fdui = (FD_plotffttime *) fl_calloc(1, sizeof(*fdui));

  fdui->plotffttime = fl_bgn_form(FL_NO_BOX, 460, 430);
  obj = fl_add_box(FL_UP_BOX,0,0,460,430,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_COL1);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,360,270,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,290,360,90,"");
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,390,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformEditPlot,4);
  fdui->name = obj = fl_add_input(FL_NORMAL_INPUT,60,20,300,30,"Name");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,320,390,50,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,4);
  fdui->tstep = obj = fl_add_input(FL_FLOAT_INPUT,220,200,100,30,"Time shift (% of FFT time window)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->dtime = obj = fl_add_input(FL_FLOAT_INPUT,220,120,100,30,"Time resolution (s)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xMax = obj = fl_add_input(FL_FLOAT_INPUT,240,300,80,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xMin = obj = fl_add_input(FL_FLOAT_INPUT,160,300,80,30,"Zoom freq min/max (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->dfreq = obj = fl_add_input(FL_FLOAT_INPUT,220,90,100,30,"Frequency resolution (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->sampFreq = obj = fl_add_input(FL_FLOAT_INPUT,220,160,100,30,"Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,100,390,200,20,"Time-Frequency Plot");
    fl_set_object_color(obj,FL_DARKCYAN,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_SHADOW_STYLE);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,380,350,70,30,"Default");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformPutDefaultInPanel,0);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,90,60,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,110,60,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,40,60,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,20,60,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->realUnits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,200,70,20,"unitsZ");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->timeSize = obj = fl_add_input(FL_FLOAT_INPUT,220,60,100,30,"Time Window for Time-Freq plot (s)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridz = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,130,60,20,"gridz");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logz = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,60,60,20,"logz");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zmax = obj = fl_add_input(FL_FLOAT_INPUT,240,340,80,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->autoScale = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,170,70,20,"autoZ");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->refresh_percent = obj = fl_add_input(FL_FLOAT_INPUT,220,240,100,30,"refresh Period (% of Time window)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->nodc = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,230,70,20,"noDC");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->decayfft = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,260,70,20,"decay");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xMin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,320,300,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->xMax_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,300,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->refresh_percent_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,240,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->timeSize_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,60,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->dfreq_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,90,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->dtime_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,120,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->sampFreq_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,160,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->tstep_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,200,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->zmax_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,340,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->minmax_resample = obj = fl_add_checkbutton(FL_PUSH_BUTTON,80,160,30,30,"minmax");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zmin = obj = fl_add_input(FL_FLOAT_INPUT,160,340,80,30,"Zmin / Zmax");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zmin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,320,340,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fl_end_form();

  fdui->plotffttime->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

