/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plottime.h"

FD_plottime *create_form_plottime(void)
{
  FL_OBJECT *obj;
  FD_plottime *fdui = (FD_plottime *) fl_calloc(1, sizeof(*fdui));

  fdui->plottime = fl_bgn_form(FL_NO_BOX, 500, 370);
  obj = fl_add_box(FL_UP_BOX,0,0,500,370,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_COL1);
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,330,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_MCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformEditPlot,3);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,400,310,"");
  fdui->name = obj = fl_add_input(FL_NORMAL_INPUT,60,20,340,30,"Name");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->tsize = obj = fl_add_input(FL_FLOAT_INPUT,220,60,140,30,"Time Window (s)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,420,80,60,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,420,30,60,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,420,10,60,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,360,330,50,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,3);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,420,60,60,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->sampFreq = obj = fl_add_input(FL_FLOAT_INPUT,220,90,140,30,"Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->tstep = obj = fl_add_input(FL_FLOAT_INPUT,220,120,140,30,"Time shift (% of time window)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,160,330,100,20,"Time Plot");
    fl_set_object_color(obj,FL_DARKCYAN,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_SHADOW_STYLE);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,420,290,70,30,"Default");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformPutDefaultInPanel,0);
  fdui->yMin = obj = fl_add_input(FL_FLOAT_INPUT,220,170,70,30,"ymin / ymax");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->yMax = obj = fl_add_input(FL_FLOAT_INPUT,290,170,70,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->autoScale = obj = fl_add_lightbutton(FL_PUSH_BUTTON,420,110,70,20,"autoY");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->realUnits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,420,130,70,20,"unitsY");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->nodc = obj = fl_add_lightbutton(FL_PUSH_BUTTON,420,160,70,20,"noDC");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->filterMax = obj = fl_add_input(FL_FLOAT_INPUT,290,280,70,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->filterMin = obj = fl_add_input(FL_FLOAT_INPUT,220,280,70,30,"Band-pass Filter (fmin / fmax)  (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->yoffset = obj = fl_add_input(FL_FLOAT_INPUT,220,210,140,30,"y offset");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->yscale = obj = fl_add_input(FL_FLOAT_INPUT,220,240,140,30,"y scaling factor");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->bits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,420,190,70,20,"bits");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->tsize_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,380,60,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->sampFreq_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,380,90,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->tstep_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,380,120,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->yMin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,360,170,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->yMax_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,380,170,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->yoffset_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,380,210,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->yscale_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,380,240,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->filterMin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,360,280,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->filterMax_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,380,280,30,30,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_YELLOW);
  fdui->minmax_resample = obj = fl_add_checkbutton(FL_PUSH_BUTTON,70,90,30,30,"minmax");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fl_end_form();

  fdui->plottime->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

